<!DOCTYPE html>
<html>
  <head>
    <meta charset='UTF-8' />
    <title>Highlighter</title>
    <link href="/css/style.css" rel="stylesheet" type="text/css">
  </head>
  <body class='container'>
    <div class="form-container">
      <h3>What do you want to highlight?</h3>
      <form action='convert' method='post'>
        <div class="form-content">
          <label for="content">The content</label>
          <textarea name="content" rows="12" cols="80"><%= @content.nil? ? DefaultContent : @content %></textarea>
        </div>
        <div class="form-content">
          <label for="highlights">The highlights</label>
          <textarea name="highlights" rows="12" cols="80"><%= @highlights.nil? ? DefaultHighlights : @highlights %></textarea>
        </div>
        <button type='submit' class='btn'>Convert</button>
      </form>
    </div>
    <div class="result-container">
      <h3>Highlighted content</h3>
      <div class="result">
        <%= @result %>
      </div>
    </div>
  </body>
</html>
